public class UnicodeTest{
	static void print(Object obj){
		System.out.println(obj);
	}
	public static void main(String[] args){
		
		String s=String.valueOf(Character.toChars(0x1FFFF));
		char[]chars=s.toCharArray();

		print("长度:"+chars.length); //长度:2

		for(char c:chars){
			System.out.format("%x,",(int)c);//其实(short)c就足够了
		}
		
		print("\n");
		for(char c:chars){
			System.out.format("%c,",c);//显示?,?
		}
	
		print("\n");
		print("s="+s);//在Windows上显示为?
	}
}
